This page is a translated version of the page Draft Move and the translation is 100% complete.

Draft Move.png Sposta

Posizione nel menu
Draft → Sposta
Ambiente
Draft, Architettura
Avvio veloce
M V
Vedere anche
Nessuno


Descrizione

Lo strumento Sposta sposta o copia gli oggetti selezionati da un punto ad un altro punto del piano di lavoro corrente. Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.

Draft Move example.jpg

Utilizzo

  1. Selezionare gli oggetti che si desidera spostare o copiare
  2. Premere il pulsante Sposta, o premere i tasti M e V
  3. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate
  4. Selezionare un secondo punto nella vista 3D, oppure digitare le sue coordinate

Agganciare, Vincolare, e altro ancora

Preferenze

Muovere un oggetto in 3D può essere complicato, e può capitare di non riuscire ad ottenere quello che si desidera. FreeCAD ha molte potenzialità per muovere l'oggetto, ma prima è necessario verificare le preferenze per vedere come attivare i comandi.

Andare in Modifica -> Preferenze -> DRAFT, e aprire la tabella Griglia e Snap.

Vedrete che ci sono diverse opzioni:

Pref Draft Snapping.png

Per impostazione predefinita, l'opzione "Aggancia sempre (disabilita la modalità di aggancio)" è attiva, il che significa che gli strumenti di aggancio saranno sempre attivi (non è necessario premere nessun tasto per attivarli), e qui notare quali sono i tasti per attivare la diverse modalità, che per impostazione predefinita sono:

  • SHIFT attiva i Vincoli (si muove solo lungo un asse)
  • Ctl attiva la modalità Aggancio (il cursore aggancia dei punti specifici)
  • Alt attiva ALT

Muoversi lungo un asse specifico

Per muoversi lungo un asse specifico, è necessario selezionare un piano di lavoro che contiene questo asse (per maggiori informazioni vedere la pagina selezionare il piano di lavoro).

Dopo aver selezionato il primo punto da spostare, cominciare a muoversi più o meno nella direzione dell'asse e tenere premuto il tasto SHIFT. FreeCAD trova automaticamente l'asse che si sta cercando di seguire e lo segue.

(Questo strumento è particolarmente potente se si vuole allineare un punto ad un altro, con riferimento ad un solo asse).

Per altre informazioni vedere qui

Aggancio

Se si desidera far corrispondere direttamente un punto su un solido, è possibile utilizzare l'aggancio, per vedere come attivarlo consultare la pagina aggancio. Selezionare il primo punto (utilizzando Aggancia o no), e poi spostarsi sul secondo punto fino a quando lo si vede evidenziato.

Per impostazione predefinita, la modalità di aggancio è attiva, ma può essere stata disattivata nelle preferenze (vedi paragrafo precedente), in questo caso, si deve tenere premuto il tasto di Aggancio che per impostazione predefinita è CTRL.

Modalità Alt

La modalità Alt consente di copiare un oggetto invece di solo muoverlo.

Opzioni

  • Premere X, Y o Z dopo un punto per vincolare il punto successivo a un dato asse.
  • Per inserire manualmente le coordinate, è sufficiente inserire il numero, quindi premere INVIO per ogni componente X, Y e Z.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. Se la modalità Relativo è attiva, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. Se la modalità Continua è attiva, lo strumento Sposta si riavvia dopo che è stato terminato o chiuso, permettendo di eseguire nuove copie o spostamenti senza dover ripetere il comando.
  • Premere ALT o C o attivare la funzione Copia per creare una copia degli oggetti, invece di spostarli. Mantenendo premuto ALT dopo aver cliccato il secondo punto, si possono inserire più duplicati, finché non si rilascia il tasto ALT.
  • Premere CTRL mentre si disegna per agganciare forzatamente il proprio punto al punto di ancoraggio più vicino, indipendentemente dalla distanza.
  • Premere SHIFT mentre si disegna per vincolare il secondo punto orizzontalmente o verticalmente rispetto al precedente.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando attivo.

Script

Lo strumento Sposta può essere utilizzato nelle macro e dalla console di Python utilizzando la seguente funzione:

move (FreeCAD.Object or list, Vector, [copymode]) 
  • Sposta l'oggetto dato o gli oggetti contenuti nella lista nella direzione e alla distanza indicata dal vettore.
  • Se CopyMode è True, gli oggetti reali non vengono spostati, ma vengono invece create delle loro copie.
  • Restituisce l'oggetto(i) (o delle loro copie se CopyMode era True)

Esempio:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0)) 

Limitazioni

  • Per spostare o modificare il posizionamento di un oggetto che è basato su uno Schizzo, ad es. una Rivoluzione di PartDesign, si deve spostare lo schizzo originale con cui si è prodotto l'oggetto. Se si tenta di spostare direttamente l'oggetto derivato, questi ritorna automaticamente nella posizione definita dallo Schizzo
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe